commit:     583e1c55d22ce321611b421f2ca3003e5aecd557
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 13 12:31:18 2020 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Mon Jan 13 12:33:20 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=583e1c55

x11-wm/fluxbox: hotfix

Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 x11-wm/fluxbox/files/osx-has-otool.patch |  4 +--
 x11-wm/fluxbox/fluxbox-1.3.7-r4.ebuild   | 47 ++++++++++++++++----------------
 2 files changed, 25 insertions(+), 26 deletions(-)

diff --git a/x11-wm/fluxbox/files/osx-has-otool.patch 
b/x11-wm/fluxbox/files/osx-has-otool.patch
index 7671dd83647..d500af681f8 100644
--- a/x11-wm/fluxbox/files/osx-has-otool.patch
+++ b/x11-wm/fluxbox/files/osx-has-otool.patch
@@ -1,5 +1,5 @@
---- util/fbsetbg
-+++ util/fbsetbg
+--- a/util/fbsetbg
++++ b/util/fbsetbg
 @@ -356,7 +356,8 @@
              if [ ! "$wpsetter" = Esetroot ]; then
                  WPSETTER=$wpsetter

diff --git a/x11-wm/fluxbox/fluxbox-1.3.7-r4.ebuild 
b/x11-wm/fluxbox/fluxbox-1.3.7-r4.ebuild
index 7b3dc8b4a37..c36ed4f3624 100644
--- a/x11-wm/fluxbox/fluxbox-1.3.7-r4.ebuild
+++ b/x11-wm/fluxbox/fluxbox-1.3.7-r4.ebuild
@@ -1,23 +1,22 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-inherit eutils flag-o-matic toolchain-funcs prefix xdg xdg-utils
+EAPI=7
 
-IUSE="nls xinerama bidi +truetype +imlib +slit +systray +toolbar vim-syntax"
-
-REQUIRED_USE="systray? ( toolbar )"
+inherit flag-o-matic toolchain-funcs prefix xdg
 
 DESCRIPTION="X11 window manager featuring tabs and an iconbar"
-
-SRC_URI="mirror://sourceforge/fluxbox/${P}.tar.xz"
 HOMEPAGE="http://www.fluxbox.org";
-SLOT="0"
+SRC_URI="mirror://sourceforge/fluxbox/${P}.tar.xz"
+
 LICENSE="MIT"
+SLOT="0"
 KEYWORDS="alpha amd64 arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc x86 
~amd64-linux ~x86-linux"
+IUSE="nls xinerama bidi +truetype +imlib +slit +systray +toolbar vim-syntax"
+
+REQUIRED_USE="systray? ( toolbar )"
 
-RDEPEND="
-       bidi? ( >=dev-libs/fribidi-0.19.2 )
+RDEPEND="bidi? ( >=dev-libs/fribidi-0.19.2 )
        imlib? ( >=media-libs/imlib2-1.2.0[X] )
        truetype? ( media-libs/freetype )
        vim-syntax? ( app-vim/fluxbox-syntax )
@@ -27,27 +26,27 @@ RDEPEND="
        x11-libs/libXrandr
        x11-libs/libXrender
        xinerama? ( x11-libs/libXinerama )
-       || ( x11-misc/gxmessage x11-apps/xmessage )
-"
-DEPEND="
-       ${RDEPEND}
-       bidi? ( virtual/pkgconfig )
-       nls? ( sys-devel/gettext )
-       x11-base/xorg-proto
-"
+       || ( x11-misc/gxmessage x11-apps/xmessage )"
+
+BDEPEND="bidi? ( virtual/pkgconfig )
+       nls? ( sys-devel/gettext )"
+
+DEPEND="${RDEPEND}
+       x11-base/xorg-proto"
 
 src_prepare() {
+       default
        # We need to be able to include directories rather than just plain
        # files in menu [include] items. This patch will allow us to do clever
        # things with style ebuilds.
-       epatch "${FILESDIR}"/gentoo_style_location-1.1.x.patch
+       eapply "${FILESDIR}"/gentoo_style_location-1.1.x.patch
 
        eprefixify util/fluxbox-generate_menu.in
 
-       epatch "${FILESDIR}"/osx-has-otool.patch
+       eapply "${FILESDIR}"/osx-has-otool.patch
 
        # Fix bug #551522; 1.3.8 will render this obsolete
-       epatch "${FILESDIR}"/fix-hidden-toolbar.patch
+       eapply "${FILESDIR}"/fix-hidden-toolbar.patch
 
        # Add in the Gentoo -r number to fluxbox -version output.
        if [[ "${PR}" == "r0" ]] ; then
@@ -62,9 +61,11 @@ src_prepare() {
 
 src_configure() {
        xdg_environment_reset
+
        use bidi && append-cppflags "$($(tc-getPKG_CONFIG) --cflags fribidi)"
 
-       econf $(use_enable bidi fribidi ) \
+       econf \
+               $(use_enable bidi fribidi ) \
                $(use_enable imlib imlib2) \
                $(use_enable nls) \
                $(use_enable slit ) \
@@ -79,7 +80,6 @@ src_configure() {
 src_compile() {
        default
 
-       ebegin "Creating a menu file (may take a while)"
        mkdir -p "${T}/home/.fluxbox" || die "mkdir home failed"
        # Call fluxbox-generate_menu through bash since it lacks +x
        # chmod 744 may be an equal fix
@@ -87,7 +87,6 @@ src_compile() {
                CHECKINIT="no. go away." HOME="${T}/home" \
                bash "${S}/util/fluxbox-generate_menu" -is -ds \
                || die "menu generation failed"
-       eend $?
 }
 
 src_install() {

Reply via email to